uniVocity-parsers 1.3.1 released with update for critical error

We've just identified and fixed a bug on uniVocity-parsers' CsvWriter class which will cause corrupt CSV outputs when:

  • trailing whitespaces are set to be ignored, and
  • value contains trailing whistespaces, and
  • value should be enclosed within quotes.

In the (likely) scenario with all of the above conditions, the closing quote won't be written, which means the produced CSV will be unreadable!

This has been fixed on version 1.3.1 and we recommend everyone to upgrade to this new version.

Download the latest uniVocity-parsers version here.

January 04, 2015 by Jeronimo Backes
previous / next